<?php
 

include ("../funciones/fechas.php");

 $cdgcli=$_POST["cdgcli"];
$dsccli=strtoupper($_POST["dsccli"]);

$cadena_busqueda=$_POST["cadena_busqueda"];

$where="1=1";
if ($cdgcli <> "") { $where.=" AND cdgcli='$cdgcli'"; }
if ($dsccli <> "") { $where.=" AND DSCCLI like '%".$dsccli."%'"; }


$where.=" ORDER BY cdgcli DESC LIMIT 500";


///////////////////////////////////////////////////////////////////////////////

require("../conexion.php");


 ////////////////////////   Averigua el numero de FILAS ////////////////////////////
if ($result = $mysqli->query("SELECT cdgcli FROM web_0301 WHERE ".$where )) {
   $filas = $result->num_rows;
    $result->close();
}


?>


<html>
	<head>
		<title>Clientes</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script language="javascript">
		
		function ver_Cliente(cdgcli) {
			parent.location.href="ver_Cliente.php?cdgcli=" + cdgcli + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
		}
		
		function modificar_Cliente(cdgcli) {
			parent.location.href="modificar_Cliente.php?cdgcli=" + cdgcli + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
		}
		
		function eliminar_Cliente(cdgcli) {
			parent.location.href="eliminar_Cliente.php?cdgcli=" + cdgcli + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
		}

		function imprimir(cdgcli,dsccli) {
			
			window.open("Reporte_estado_de_cuenta.php?cdgcli=" + cdgcli);
		}
		
		
		
		

		function inicio() {
			var numfilas=document.getElementById("numfilas").value;
			var indi=parent.document.getElementById("iniciopagina").value;
			var contador=1;
			var indice=0;
			if (indi>numfilas) { 
				indi=1; 
			}
			parent.document.form_busqueda.filas.value=numfilas;
			parent.document.form_busqueda.paginas.innerHTML="";		
			while (contador<=numfilas) {
				texto=contador + "-" + parseInt(contador+9);
				if (indi==contador) {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
					parent.document.form_busqueda.paginas.options[indice].selected=true;
				} else {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
				}
				indice++;
				contador=contador+10;
			}
		}
		
		
		</script>
	</head>

	<body onload=inicio()>	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
			<input type="hidden" name="numfilas" id="numfilas" value="<?php echo $filas ?> " >
				
				<?php	
if ( $filas > 0) {
 
$consulta2 = "SELECT CDGCLI FROM web_0301 WHERE ".$where;

if ($resultado2 = $mysqli->query($consulta2)) 
$contador=0;
 
    while ($fila2 = $resultado2->fetch_assoc()) {
		
	$cdgcli= $fila2["CDGCLI"];
	
	$consulta = "SELECT CDGCLI,DSCCLI,NUMTEL,ESTCLI,SALACT,salfav FROM web_0301 WHERE cdgcli='$cdgcli' ";
$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();

        $cdgcli = $fila["CDGCLI"];
        $dsccli = $fila["DSCCLI"];
        $numtel = $fila["NUMTEL"];
        $estcli = $fila["ESTCLI"];
        $salact = $fila["SALACT"];
		$salfav = $fila["salfav"];
        $dsccli = substr($dsccli, 0, 45);  
   $resultado->close();

if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
	<tr class="<?php echo $fondolinea?>">
        <td class="" width="2%"></td>
	
	
	<td width="8%"><div align="left"><?php echo $cdgcli ?></div></td>
	<td width="40%"><div align="left"><?php echo $dsccli ?></div></td>
	<td class="aDerecha" width="9%"><div align="center"><?php echo $numtel ?></div></td>
	<td class="aDerecha" width="10%"><div align="center"><?php echo $estcli ?></div></td>
	<td width="10%"><div align="right"><?php echo number_format($salact,2,".",",")?></div></td>
		<td width="10%"><div align="right"><?php echo number_format($salfav,2,".",",")?></div></td>
						
	<td width="6%"><div align="center"><img src="../img/print-icon (5).png" width="25" height="25" border="0" onClick="imprimir(<?php echo $cdgcli ?>,'<?php echo $dsccli ?>')" title="Imprimir Estado de Cuenta"></a></div></td>
						
	<td width="3%"><div align="center"><a href="#"><img src="../img/Edit_Male_User_Icon_32.png" width="25" height="25" border="0" onClick="modificar_Cliente(<?php echo $cdgcli ?>,'<?php echo $dsccli ?>')" title="Modificar"></a></div></td>
	<td width="3%"><div align="center"><a href="#"><img src="../img/Search_Male_User_Icon_32.png" width="25" height="25" border="0" onClick="ver_Cliente(<?php echo $cdgcli ?>,'<?php echo $dsccli ?>')" title="Visualizar"></a></div></td>
						
						</tr>

	<?php

 $contador++;


}
   $resultado2->close();

						?>			
					</table>
					<?php } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo "No hay ning&uacute;n Cliente que cumpla con los criterios de b&uacute;squeda";?></td>
					    </tr>
					</table>					
					<?php } ?>					
				</div>
			</div>
		  </div>			
		</div>
	</body>
</html>
